Get the screening results of Shariah-compliant stocks with comprehensive details. You can query by stock ticker.
| Parameter | Value | Description |
|---|---|---|
| stock | “AAPL” | Stock symbol |
| Parameter | Type | Description |
|---|---|---|
| companyName | string | Company name |
| symbol | string | Stock symbol |
| lastUpdate | string | Last update date in ISO 8601 Date/Time Format (YYYY-MM-DD). |
| shariahComplianceStatus | string | Shariah-compliance Status (Halal, Not Halal, Doubtful, Not Covered) |
| complianceRanking | number | Compliance Rank (0-5) |
| revenueBreakdown | object | Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue to be Shariah compliant based on AAOIFI stock screening methodology. |
| interestBearingSecuritiesAndAssets | object | Interest-Bearing Securities and Assets should be less than 30% of Trailing 36-month Average Market Capitalization. |
| interestBearingDebt | object | Interest-Bearing Debt should be less than 30% of Trailing 36-Month Average Market Capitalization. |
| reportDate | date | Reporting dates of the company in ISO 8601 Date/Time Format (YYYY-MM-DD). |
| reportSource | string | URL link to the company report. |
| totalRevenue | number | Total Revenue of the company |
| trailing36monAvrCap | number | Trailing 36-month Average Market Capitalization of the company. |
| totalAssets | number | Amount of Total Assets (in units) |
| accountsReceivable | number | Amount of Accounts Receivable (in units) |
| reportedYear | number | Reporting year |
| reportedQuarter | string | Reporting period (FIRST_QUARTER, SECOND_QUARTER, THIRD_QUARTER, ANNUAL) |
| mainCurrency | string | Reporting currency. Currency used in company filings |
| units | number | Number expression (e.g. in million) |
| revenueBreakdownDetail | object | Revenue breakdown JSON object that contains line items with compliance type, ratio, amount in ones and comments. |
| interestBearingSecuritiesAndAssetsDetail | object | Interest-bearing securities and assets JSON object that contains line items with compliance type, ratio, amount in ones and comments. |
| interestIncomeDetail | object | Interest Income JSON object that contains line items with compliance type, ratio, amount in ones and comments. |
| interestBearingDebtDetail | object | Interest-bearing debt JSON object that contains line items with compliance type, ratio, amount in ones and comments. |
- Mock serverhttps://docs.musaffa.us/_mock/apis/demo/musaffa/stocks/report
- https://b2b.musaffa.us/b2b/apihttps://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/report
curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/report' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog==' \
--data '{
"stock":"AAPL"
}'Dynamic stock screening report for the requested ticker
Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue (AAOIFI).
Response
{ "companyName": "string", "symbol": "string", "lastUpdate": "string", "shariahComplianceStatus": "string", "complianceRanking": 0, "revenueBreakdown": { "halalRatio": 0, "notHalalRatio": 0, "doubtfulRatio": 0, "doubtfulRevenue": 0, "halalRevenue": 0, "notHalalRevenue": 0, "status": "string" }, "interestBearingSecuritiesAndAssets": { "amount": 0, "ratio": 0, "status": "string" }, "interestBearingDebt": { "amount": 0, "ratio": 0, "status": "string" }, "reportDate": "2019-08-24", "reportSource": "string", "totalRevenue": 0, "trailing36monAvrCap": 0, "totalAssets": 0, "accountsReceivable": 0, "reportedYear": 0, "reportedQuarter": "string", "reportPeriod": 0, "mainCurrency": "string", "units": 0, "revenueBreakdownDetail": { "name": "string", "amount": 0, "amountInOnes": 0, "percentage": 0, "halalAmount": 0, "halalAmountInOnes": 0, "halalPercentage": 0, "notHalalAmount": 0, "notHalalAmountInOnes": 0, "notHalalPercentage": 0, "questionableAmount": 0, "questionableAmountInOnes": 0, "questionablePercentage": 0, "items": [ … ] }, "interestBearingSecuritiesAndAssetsDetail": { "totalAmount": 0, "totalRetio": 0, "totalNonIslamicAmount": 0, "longTermJson": { … }, "shortTermJson": { … } }, "interestIncomeDetail": { "name": "string", "amount": 0, "amountInOnes": 0, "percentage": 0, "halalAmount": 0, "halalAmountInOnes": 0, "halalPercentage": 0, "notHalalAmount": 0, "notHalalAmountInOnes": 0, "notHalalPercentage": 0, "questionableAmount": 0, "questionableAmountInOnes": 0, "questionablePercentage": 0, "items": [ … ] }, "interestBearingDebtDetail": { "totalAmount": 0, "totalRetio": 0, "totalNonIslamicAmount": 0, "longTermJson": { … }, "shortTermJson": { … } } }